> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Slack delivery

> Returns one customer Slack delivery in the project with its full attempted messages.



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json get /projects/{project_id}/slack-deliveries/{delivery_id}
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers:
  - url: https://api.uselemma.ai
    description: Lemma production API
security:
  - bearerAuth: []
paths:
  /projects/{project_id}/slack-deliveries/{delivery_id}:
    get:
      tags:
        - Slack deliveries
      summary: Get Slack delivery
      description: >-
        Returns one customer Slack delivery in the project with its full
        attempted messages.
      operationId: get_slack_delivery
      parameters:
        - name: project_id
          in: path
          required: true
          description: Project ID.
          schema:
            type: string
        - name: delivery_id
          in: path
          required: true
          description: Slack delivery ID.
          schema:
            type: string
      responses:
        '200':
          description: Slack delivery
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  project_id:
                    type: string
                  purpose:
                    type: string
                    enum:
                      - issue_alert
                      - project_brief
                      - instrumentation_digest
                  status:
                    type: string
                    enum:
                      - sent
                      - failed
                      - partial
                  issue_id:
                    type:
                      - string
                      - 'null'
                  level:
                    type:
                      - string
                      - 'null'
                    enum:
                      - red
                      - yellow
                      - null
                  slack_team_id:
                    type:
                      - string
                      - 'null'
                  channel_id:
                    type: string
                  channel_name:
                    type:
                      - string
                      - 'null'
                  ts:
                    type:
                      - string
                      - 'null'
                  summary:
                    type: string
                  url:
                    type:
                      - string
                      - 'null'
                  stage:
                    type:
                      - string
                      - 'null'
                  error:
                    type:
                      - string
                      - 'null'
                  message_count:
                    type: integer
                    minimum: 0
                  sent_at:
                    type: string
                    format: date-time
                  messages:
                    type: array
                    items:
                      type: object
                      properties:
                        text:
                          type: string
                        blocks:
                          type:
                            - array
                            - 'null'
                          items: {}
                        ok:
                          type: boolean
                        stage:
                          type:
                            - string
                            - 'null'
                        error:
                          type:
                            - string
                            - 'null'
                      required:
                        - text
                        - blocks
                        - ok
                        - stage
                        - error
                      additionalProperties: false
                required:
                  - id
                  - project_id
                  - purpose
                  - status
                  - issue_id
                  - level
                  - slack_team_id
                  - channel_id
                  - channel_name
                  - ts
                  - summary
                  - url
                  - stage
                  - error
                  - message_count
                  - sent_at
                  - messages
                additionalProperties: false
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.